summary refs log tree commit diff
path: root/www/git.causal.agency
diff options
context:
space:
mode:
Diffstat (limited to '')
-rw-r--r--www/git.causal.agency/source-filter.sh12
1 files changed, 6 insertions, 6 deletions
diff --git a/www/git.causal.agency/source-filter.sh b/www/git.causal.agency/source-filter.sh
index 924744bd..9f150e78 100644
--- a/www/git.causal.agency/source-filter.sh
+++ b/www/git.causal.agency/source-filter.sh
@@ -7,12 +7,12 @@ htagml=/usr/local/libexec/htagml
 
 case "$1" in
 	(*.[chlmy])
-		src=$(mktemp -t source-filter)
-		tag=$(mktemp -t source-filter)
-		trap 'rm -f "${src}" "${tag}"' EXIT
-		cat >"${src}"
-		$ctags -w -f "${tag}" "${src}"
-		$hilex -n "$1" -f html "${src}" | $htagml -i -f "${tag}" "${src}"
+		tmp=$(mktemp -d -t source-filter)
+		trap 'rm -fr "${tmp}"' EXIT
+		cd "${tmp}"
+		cat >"$1"
+		$ctags -w "$1"
+		$hilex -f html "$1" | $htagml -i "$1"
 		;;
 	(*)
 		exec $hilex -t -n "$1" -f html
d=ebd7b146bdc1db830225dd2ff702c41e59e34fb3&follow=1'>Disable mouse mode in xtermJune McEnroe 2021-02-09Add pbcopy, pbpaste, open dispatch scriptsJune McEnroe 2021-02-09Use flags for pbd client behaviourJune McEnroe 2021-02-08Add macOS-like copy and paste to xtermJune McEnroe 2021-02-08Only update clock script every minuteJune McEnroe 2021-02-08Use 4M- for window resizing in cwmJune McEnroe 2021-02-08Tweak trackpad scaling, mouse accelerationJune McEnroe 2021-02-08Use xsel in up and add it do install.shJune McEnroe 2021-02-07Swap root window coloursJune McEnroe 2021-02-07Add -X flag to install X stuff on OpenBSDJune McEnroe 2021-02-07Adjust brightness by smaller incrementsJune McEnroe 2021-02-07Fix cwm window cycling, move big by defaultJune McEnroe 2021-02-07Use class names for Foreground, Background, BorderColorJune McEnroe 2021-02-07Add simple battery status and clock to xsessionJune McEnroe 2021-02-07Set cursor theme and sizeJune McEnroe 2021-02-07Use scrot for up -s if no screencaptureJune McEnroe 2021-02-07Enable mouse acceleration in XJune McEnroe 2021-02-07Set colours for Xt and cwmJune McEnroe 2021-02-07Set urgency on bell in xtermJune McEnroe 2021-02-07Add bindings for brightness controlJune McEnroe 2021-02-07Set X key repeat rateJune McEnroe 2021-02-07Bump font size to 12June McEnroe 2021-02-07Fully configure and rebind cwmJune McEnroe 2021-02-07Add BintiJune McEnroe 2021-02-07Finish configuring xtermJune McEnroe 2021-02-06Enable tapping, reverse scroll, set scaling in wsconsctlJune McEnroe 2021-02-06Set root window to black on purple snowJune McEnroe 2021-02-06Add xmodmap configurationJune McEnroe 2021-02-06Add initial OpenBSD X configurationJune McEnroe 2021-02-06Add xterm output to schemeJune McEnroe